## opm-models 2021.10

=== CMakeLists.txt ===
# -*- mode: cmake; tab-width: 2; indent-tabs-mode: nil; truncate-lines: t
# vim: set filetype=cmake autoindent tabstop=2 shiftwidth=2 noexpandtab softtabstop=2 nowrap:

###########################################################################
#                                                                         #
# Note: The bulk of the build system is located in the cmake/ directory.  #
#       This file only contains the specializations for this particular   #
#       project. Most likely you are interested in editing one of these   #
#       files instead:                                                    #
#                                                                         #
#       dune.module                              Name and version number  #
#       CMakeLists_files.cmake                   Path of source files     #
#       cmake/Modules/${project}-prereqs.cmake   Dependencies             #
#                                                                         #
###########################################################################

# Mandatory call to project
project(opm-models C CXX)

cmake_minimum_required (VERSION 3.10)

# add the current projects cmake module directory to the search
# path. This is not required anymore once support for federated builds
# is merged.
list(INSERT CMAKE_MODULE_PATH 0 "${PROJECT_SOURCE_DIR}/cmake/Modules")
option(SIBLING_SEARCH "Search for other modules in sibling directories?" ON)

if(SIBLING_SEARCH AND NOT opm-common_DIR)
  # guess the sibling dir
  get_filename_component(_leaf_dir_name ${PROJECT_BINARY_DIR} NAME)
  get_filename_component(_parent_full_dir ${PROJECT_BINARY_DIR} DIRECTORY)
  get_filename_component(_parent_dir_name ${_parent_full_dir} NAME)
  #Try if <module-name>/<build-dir> is used
  get_filename_component(_modules_dir ${_parent_full_dir} DIRECTORY)
  if(IS_DIRECTORY ${_modules_dir}/opm-common/${_leaf_dir_name})
    set(opm-common_DIR ${_modules_dir}/opm-common/${_leaf_dir_name})
  else()
    string(REPLACE ${PROJECT_NAME} opm-common _opm_common_leaf ${_leaf_dir_name})
    if(NOT _leaf_dir_name STREQUAL _opm_common_leaf
        AND IS_DIRECTORY ${_parent_full_dir}/${_opm_common_leaf})
      # We are using build directories named <prefix><module-name><postfix>
      set(opm-common_DIR ${_parent_full_dir}/${_opm_common_leaf})
    elseif(IS_DIRECTORY ${_parent_full_dir}/opm-common)
      # All modules are in a common build dir
      set(opm-common_DIR "${_parent_full_dir}/opm-common")
    endif()
  endif()
endif()
if(opm-common_DIR AND NOT IS_DIRECTORY ${opm-common_DIR})
  message(WARNING "Value ${opm-common_DIR} passed to variable"
    " opm-common_DIR is not a directory")
endif()

find_package(opm-common REQUIRED)

include(OpmInit)
OpmSetPolicies()

# Testing
include(OpmSatellites)

# list of prerequisites for this particular project; this is in a
# separate file (in cmake/Modules sub-directory) because it is shared
# with the find module
include(${project}-prereqs)

# read the list of components from this file (in the project directory);
# it should set various lists with the names of the files to include
include(CMakeLists_files.cmake)

macro (config_hook)
  opm_need_version_of("dune-common")
  opm_need_version_of("dune-geometry")
  opm_need_version_of("dune-grid")
  opm_need_version_of("dune-localfunctions")
  opm_need_version_of("dune-alugrid")
  opm_need_version_of("dune-istl")
  opm_need_version_of("dune-fem")
endmacro (config_hook)

macro (files_hook)
endmacro (files_hook)

macro (prereqs_hook)
endmacro (prereqs_hook)

macro (sources_hook)
endmacro (sources_hook)

macro (fortran_hook)
endmacro (fortran_hook)

macro (tests_hook)
endmacro (tests_hook)

# For eWoms, we set the BUILD_TESTING variable to off by default. The
# reason is that builing the tests takes quite some time and they are
# not very interesting for people who just want to use eWoms but not
# develop it. To enable testing, either pass --enable-testing to the
# configure script or call cmake with -DBUILD_TESTING=ON
set(MY_BUILD_TESTING "${BUILD_TESTING}")
set(BUILD_TESTING "ON" CACHE BOOL "Build the tests" FORCE)

# all setup common to the OPM library modules
include (OpmLibMain)

# restore the value of the BUILD_TESTING variable to its original
# value. This is required because OpmLibMain thinks it is smarter
# appropriate and sets it...
if (NOT MY_BUILD_TESTING)
  set(BUILD_TESTING "${MY_BUILD_TESTING}" CACHE BOOL "Build the tests" FORCE)
endif()

# copy the data files (i.e., grid files, etc) needed to run the unit
# tests from the source to the build directory
file(GLOB datafiles "tests/data/*")
foreach(file ${datafiles})
  file(COPY ${file} DESTINATION ${CMAKE_CURRENT_BINARY_DIR}/data)
endforeach()

# include the macros required to build the tests and applications
# shipped as part of the eWoms distribution
include(EwomsAddApplication)

opm_set_test_driver("${PROJECT_SOURCE_DIR}/bin/runtest.sh" "--simulation")
opm_set_test_default_working_directory("${PROJECT_BINARY_DIR}")

set(CMAKE_PROJECT_NAME "${PROJECT_NAME}")
add_custom_target(opm-models_prepare)

# the ART to DGF file format conversion utility

if (BUILD_EXAMPLES)
  EwomsAddApplication(art2dgf
    SOURCES art2dgf/art2dgf.cc
    EXE_NAME art2dgf)

  add_dependencies(test-suite art2dgf)

  opm_add_test(art2dgf
    NO_COMPILE
    DRIVER_ARGS --plain
    TEST_ARGS "data/fracture-raw.art")
endif()

# add targets for all tests of the models. we add the water-air test
# first because it take longest and so that we don't have to wait for
# them as long for parallel test runs
opm_add_test(waterair_pvs_ni
             TEST_ARGS --grid-global-refinements=1)

opm_add_test(lens_immiscible_vcfv_ad
             TEST_ARGS --end-time=3000)

opm_add_test(lens_immiscible_vcfv_fd
             TEST_ARGS --end-time=3000)

opm_add_test(lens_immiscible_ecfv_ad
             TEST_ARGS --end-time=3000)

opm_add_test(lens_immiscible_ecfv_ad_23
             TEST_ARGS --end-time=3000)

# this test is identical to the simulation of the lens problem that
# uses the element centered finite volume discretization in
# conjunction with automatic differentiation
# (lens_immiscible_ecfv_ad). The only difference is that it uses
# multiple compile units in order to ensure that eWoms code can be
# used within libraries that use the same type tag within multiple
# compile units.
opm_add_test(lens_immiscible_ecfv_ad_mcu
             ONLY_COMPILE
             SOURCES
                tests/lens_immiscible_ecfv_ad_cu1.cc
                tests/lens_immiscible_ecfv_ad_cu2.cc
                tests/lens_immiscible_ecfv_ad_main.cc)

opm_add_test(finger_immiscible_ecfv
             CONDITION ${DUNE_ALUGRID_FOUND})

opm_add_test(finger_immiscible_vcfv
             CONDITION ${DUNE_ALUGRID_FOUND})

opm_add_test(finger_immiscible_ecfv_adaptive
             EXE_NAME finger_immiscible_ecfv
             CONDITION ${DUNE_ALUGRID_FOUND} AND ${DUNE_FEM_FOUND}
             NO_COMPILE
             TEST_ARGS --enable-grid-adaptation=true --end-time=25e3)

foreach(tapp co2injection_flash_ni_vcfv
             co2injection_flash_ni_ecfv
             co2injection_flash_vcfv
             co2injection_flash_ecfv
             co2injection_ncp_ni_vcfv
             co2injection_pvs_ni_vcfv
             co2injection_ncp_vcfv
             co2injection_pvs_vcfv
             co2injection_immiscible_ni_vcfv
             co2injection_immiscible_vcfv
             co2injection_immiscible_ecfv
             co2injection_ncp_ecfv
             co2injection_pvs_ecfv
             co2injection_immiscible_ni_ecfv
             co2injection_ncp_ni_ecfv
             co2injection_pvs_ni_ecfv
             powerinjection_forchheimer_fd
             powerinjection_forchheimer_ad
             powerinjection_darcy_fd
             powerinjection_darcy_ad
             cuvette_pvs
             infiltration_pvs
             lens_richards_vcfv
             lens_richards_ecfv
             obstacle_immiscible
             obstacle_ncp
             obstacle_pvs
             outflow_pvs
             diffusion_flash
             diffusion_ncp
             diffusion_pvs
             groundwater_immiscible)
  opm_add_test(${tapp})
endforeach()

opm_add_test(reservoir_blackoil_vcfv TEST_ARGS --end-time=8750000)
opm_add_test(reservoir_blackoil_ecfv TEST_ARGS --end-time=8750000)
opm_add_test(reservoir_ncp_vcfv TEST_ARGS --end-time=8750000)
opm_add_test(reservoir_ncp_ecfv TEST_ARGS --end-time=8750000)

opm_add_test(fracture_discretefracture
             CONDITION ${DUNE_ALUGRID_FOUND}
             TEST_ARGS --end-time=400)

opm_add_test(test_propertysystem
             DRIVER_ARGS --plain)

opm_add_test(test_quadrature
             DRIVER_ARGS --plain)

# test for the parallelization of the element centered finite volume
# discretization (using the non-isothermal NCP model and the parallel
# AMG linear solver)
opm_add_test(co2injection_ncp_ni_ecfv_parallel
             EXE_NAME co2injection_ncp_ni_ecfv
             NO_COMPILE
             PROCESSORS 4
             CONDITION ${MPI_FOUND}
             DRIVER_ARGS --parallel-simulation=4)

# test for the parallelization of the vertex centered finite volume
# discretization (using BiCGSTAB + ILU0)
opm_add_test(obstacle_immiscible_parallel
             EXE_NAME obstacle_immiscible
             NO_COMPILE
             PROCESSORS 4
             CONDITION ${MPI_FOUND}
             DRIVER_ARGS --parallel-simulation=4
             TEST_ARGS --end-time=1 --initial-time-step-size=1)

# test for the parallel AMG linear solver using the vertex centered
# finite volume discretization
opm_add_test(lens_immiscible_vcfv_fd_parallel
             EXE_NAME lens_immiscible_vcfv_fd
             NO_COMPILE
             PROCESSORS 4
             CONDITION ${MPI_FOUND}
             DRIVER_ARGS --parallel-simulation=4
             TEST_ARGS --end-time=250 --initial-time-step-size=250)

opm_add_test(lens_immiscible_vcfv_ad_parallel
             EXE_NAME lens_immiscible_vcfv_ad
             NO_COMPILE
             PROCESSORS 4
             CONDITION ${MPI_FOUND}
             DRIVER_ARGS --parallel-simulation=4
             TEST_ARGS --end-time=250 --initial-time-step-size=250)

opm_add_test(lens_immiscible_ecfv_ad_parallel
             EXE_NAME lens_immiscible_ecfv_ad
             NO_COMPILE
             PROCESSORS 4
             CONDITION ${MPI_FOUND}
             DRIVER_ARGS --parallel-simulation=4
             TEST_ARGS --end-time=250 --initial-time-step-size=250)

opm_add_test(obstacle_immiscible_parameters
             EXE_NAME obstacle_immiscible
             NO_COMPILE
             DEPENDS obstacle_immiscible
             DRIVER_ARGS --parameters)

opm_add_test(obstacle_pvs_restart
             EXE_NAME obstacle_pvs
             NO_COMPILE
             DEPENDS obstacle_pvs
             DRIVER_ARGS --restart
             TEST_ARGS --pvs-verbosity=2 --end-time=30000)

opm_add_test(tutorial1
             SOURCES tutorial/tutorial1.cc)

opm_add_test(test_tasklets
             DRIVER_ARGS --plain)

opm_add_test(test_mpiutil
             PROCESSORS 4
             CONDITION ${MPI_FOUND} AND Boost_UNIT_TEST_FRAMEWORK_FOUND
             DRIVER_ARGS --parallel-program=4)

=== debian/changelog ===
opm-models (2021.10-2) unstable; urgency=medium

  * d/control: Bump Standards version to 4.6.0
  * d/control: Strip gfortran from Build-Depends

 -- Markus Blatt <markus@dr-blatt.de>  Wed, 26 Jan 2022 12:52:33 +0100

opm-models (2021.10-1) unstable; urgency=medium

  * Initial release (Closes: #987381)

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 16 Nov 2021 16:50:02 +0100

=== debian/control ===
Source: opm-models
Section: libs
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Arne Morten Kvarving <arne.morten.kvarving@sintef.no>, Markus Blatt <markus@dr-blatt.de>
Build-Depends: debhelper-compat (= 13), cmake (>=3.10),
 libtool, mpi-default-bin, mpi-default-dev, pkg-config,
 libdune-grid-dev (>= 2.6.0), libdune-istl-dev (>= 2.6.0),
 libdune-localfunctions-dev (>= 2.6.0), libopm-material-dev (>=2021.10),
 libboost-test-dev,
# Build-Depends-Indep: # broken on precise pbuilder
 doxygen, texlive-latex-extra, texlive-latex-recommended, ghostscript,
 zlib1g-dev
Standards-Version: 4.6.0
Homepage: http://opm-project.org
Vcs-Browser: https://salsa.debian.org/science-team/opm-models
Vcs-Git: https://salsa.debian.org/science-team/opm-models.git
Rules-Requires-Root: no

Package: libopm-models-dev
Section: libdevel
Architecture: amd64 arm64 ia64 mips64el ppc64el
Multi-Arch: same
Depends: ${misc:Depends},
 libdune-grid-dev (>= 2.6.0), libdune-istl-dev (>= 2.6.0),
 libdune-localfunctions-dev (>= 2.6.0), libopm-material-dev (>=2021.10)
Suggests: libopm-models-doc
Replaces: libopm-models1-dev
Description: C++ simulation framework for porous media flow -- development files
 The Open Porous Media (OPM) software suite provides libraries and
 tools for modeling and simulation of porous media processes, especially
 for simulating CO2 sequestration and improved and enhanced oil recovery.
 .
 opm-models is a header-only simulation framework which is primary focused
 on fully implicit models for flow and transport in porous media. It uses
 finite volume schemes for discretization and automatic differentiation
 for calculating the Jacobians. Its main objectives is to provide an
 easily usable, well maintainable, high performance framework which is
 capable of capturing all macro-scale scenarios relevant for academic
 research and industrial applications involving flow and transport
 processes in porous media.
 .
 This package provides the development files (headers) needed to build
 applications based on opm-models.

Package: libopm-models-doc
Architecture: all
Replaces: libopm-models1-doc
Section: doc
Depends: ${misc:Depends}
Description: C++ simulation framework for porous media flow -- documentation
 The Open Porous Media (OPM) software suite provides libraries and
 tools for modeling and simulation of porous media processes, especially
 for simulating CO2 sequestration and improved and enhanced oil recovery
 .
 opm-models is a header-only simulation framework which is primary focused
 on fully implicit models for flow and transport in porous media. It uses
 finite volume schemes for discretization and automatic differentiation
 for calculating the Jacobians. Its main objectives is to provide an
 easily usable, well maintainable, high performance framework which is
 capable of capturing all macro-scale scenarios relevant for academic
 research and industrial applications involving flow and transport
 processes in porous media.
 .
 opm-models is a simulation framework which is primary focused on fully implicit
 models for flow and transport in porous media. It uses finite volume schemes
 for discretization and automatic differentiation for calculating the Jacobians.
 Its main objectives is to provide an easily usable, well maintainable,
 high performance framework which is capable of capturing all macro-scale
 scenarios relevant for academic research and industrial applications
 involving flow and transport processes in porous media.
 .
 This package provides the documentation of the source code.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

OPM_DEBIAN_CMAKE_FLAGS = -DADD_DISABLED_CTESTS=0 -DUSE_QUADMATH=0 -DBUILD_TESTING=0 -DWITH_NATIVE=OFF

%:
	dh $@

include /usr/share/opm/opm-debian.mk

# Deactivate running the tests (they are expensve!)
override_dh_auto_test:

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

# PGP signature mangle, so foo.tar.gz has foo.tar.gz.sig
#opts="pgpsigurlmangle=s%$%.sig%"

# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?release/(\d\d\d\d\.\d\d)/final\.tar\.gz%opm-models-$1.tar.gz%" \
   https://github.com/OPM/opm-models/tags \
   (?:.*?)?release/(\d\d\d\d\.\d\d)/final\.tar\.gz debian uupdate

# Direct Git
# opts="mode=git" http://git.example.com/opm-models.git \
#   refs/tags/v([\d\.]+) debian uupdate

## opm-models 2022.04+ds

=== debian/changelog ===
opm-models (2022.04+ds-4) unstable; urgency=medium

  * d/control: Finally skip dependency on inexistent libopm-grid-dev for
    mips64el

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 16 May 2022 17:51:09 +0200

opm-models (2022.04+ds-3) unstable; urgency=medium

  * d/control: Dot depend on unavailable libdune-grid-dev on
    armel/armhf/mpis64el.

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 16 May 2022 12:23:55 +0200

opm-models (2022.04+ds-2) unstable; urgency=medium

  * Changed version in dune.module to 2022.04

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 12 May 2022 14:25:26 +0200

opm-models (2022.04+ds-1) unstable; urgency=medium

  * New final upstream release 2022.04
  * d/copyright: Updated copyright and files excluded.
  * d/watch: Advertise repackaging in tarball name

 -- Markus Blatt <markus@dr-blatt.de>  Wed, 11 May 2022 23:08:34 +0200

opm-models (2022.04~rc1-2) experimental; urgency=medium

  * d/rules: Fix OPM version dependency

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 28 Apr 2022 12:02:46 +0200

opm-models (2022.04~rc1-1) experimental; urgency=medium

  * New upstream release candidate 2022.04-rc1
  * d/control: Updated dependency on OPM
  * Rediff patches
  * d/control: Use debhelper-compat (= 12) to support older Ubuntu
  * d/tests: Removed dependency on libpython3.9-dev

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 28 Apr 2022 00:00:36 +0200

opm-models (2021.10-5) unstable; urgency=medium

  * d/tests: Added dependency on libpython3.9-dev to allow migration

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 22 Apr 2022 09:23:26 +0200

opm-models (2021.10-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster

  [ Markus Blatt ]
  * d/rules: Facilitate building with pbuilder without local libopm-common-dev

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 01 Apr 2022 14:21:38 +0200

opm-models (2021.10-3) unstable; urgency=medium

  * d/control: Try building on all architectures
  * d/tests: Added basic autopkgtests.
  * d/copyright: Added more member to OPM development team
  * d/copyright: removed leading ./ from files listed.

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 08 Mar 2022 15:40:08 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Arne Morten Kvarving <arne.morten.kvarving@sintef.no>, Markus Blatt <markus@dr-blatt.de>
-Build-Depends: debhelper-compat (= 13), cmake (>=3.10),
+Build-Depends: debhelper-compat (= 12), cmake,
  libtool, mpi-default-bin, mpi-default-dev, pkg-config,
- libdune-grid-dev (>= 2.6.0), libdune-istl-dev (>= 2.6.0),
- libdune-localfunctions-dev (>= 2.6.0), libopm-material-dev (>=2021.10),
+ libdune-grid-dev, libdune-istl-dev,
+ libdune-localfunctions-dev, libopm-material-dev (>= 2022.04),
+ libopm-grid-dev (>= 2022.04) [!armel !armhf !mips64el],
  libboost-test-dev,
 # Build-Depends-Indep: # broken on precise pbuilder
  doxygen, texlive-latex-extra, texlive-latex-recommended, ghostscript,
@@ -19,11 +20,12 @@
 
 Package: libopm-models-dev
 Section: libdevel
-Architecture: amd64 arm64 ia64 mips64el ppc64el
+Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
- libdune-grid-dev (>= 2.6.0), libdune-istl-dev (>= 2.6.0),
- libdune-localfunctions-dev (>= 2.6.0), libopm-material-dev (>=2021.10)
+ libdune-grid-dev, libdune-istl-dev,
+ libdune-localfunctions-dev, libopm-material-dev (>= 2022.04),
+ libopm-grid-dev (>= 2022.04)  [!armel !armhf !mips64el]
 Suggests: libopm-models-doc
 Replaces: libopm-models1-dev
 Description: C++ simulation framework for porous media flow -- development files
@@ -45,6 +47,7 @@
 
 Package: libopm-models-doc
 Architecture: all
+Multi-Arch: foreign
 Replaces: libopm-models1-doc
 Section: doc
 Depends: ${misc:Depends}

=== debian/tests/control ===
Tests: basic
Depends:
  libopm-models-dev,
  build-essential,
  mpi-default-bin, mpi-default-dev,
  libboost-test-dev
# skip test on architectures where there is no installable package (e.g. 32bit)
Restrictions: allow-stderr, skip-not-installable

## opm-models 2022.10%2Bds

=== debian/changelog ===
opm-models (2022.10+ds-1) unstable; urgency=medium

  * New upstream version 2022.10
  * d/control: Bump version of OPM dependencies.

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 15 Nov 2022 16:42:56 +0100

opm-models (2022.10~rc2+ds-1) experimental; urgency=medium

  * New upstream release candidate 2022.10-rc2
  * d/tests: depend on same version of packages for autopkgtest.

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 08 Nov 2022 20:58:22 +0100

opm-models (2022.10~rc1+ds-1) experimental; urgency=medium

  * new upstream version 2022.10-rc1
  * Updated and corrected copyright.

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 04 Nov 2022 10:22:14 +0100

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Build-Depends: debhelper-compat (= 12), cmake,
  libtool, mpi-default-bin, mpi-default-dev, pkg-config,
  libdune-grid-dev, libdune-istl-dev,
- libdune-localfunctions-dev, libopm-material-dev (>= 2022.04),
- libopm-grid-dev (>= 2022.04) [!armel !armhf !mips64el],
+ libdune-localfunctions-dev, libopm-material-dev (>= 2022.10),
+ libopm-grid-dev (>= 2022.10) [!armel !armhf !mips64el],
  libboost-test-dev,
 # Build-Depends-Indep: # broken on precise pbuilder
  doxygen, texlive-latex-extra, texlive-latex-recommended, ghostscript,
@@ -24,8 +24,8 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
  libdune-grid-dev, libdune-istl-dev,
- libdune-localfunctions-dev, libopm-material-dev (>= 2022.04),
- libopm-grid-dev (>= 2022.04)  [!armel !armhf !mips64el]
+ libdune-localfunctions-dev, libopm-material-dev (>= 2022.10),
+ libopm-grid-dev (>= 2022.10)  [!armel !armhf !mips64el]
 Suggests: libopm-models-doc
 Replaces: libopm-models1-dev
 Description: C++ simulation framework for porous media flow -- development files

=== debian/tests/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Tests: basic
 Depends:
-  libopm-models-dev,
+  libopm-models-dev (>= 2022.10),
   build-essential,
   mpi-default-bin, mpi-default-dev,
   libboost-test-dev

## opm-models 2022.10+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -159,6 +159,9 @@
              TEST_ARGS --end-time=3000)
 
 opm_add_test(lens_immiscible_ecfv_ad_23
+             TEST_ARGS --end-time=3000)
+
+opm_add_test(lens_immiscible_ecfv_ad_trans
              TEST_ARGS --end-time=3000)
 
 # this test is identical to the simulation of the lens problem that

=== debian/changelog ===
opm-models (2022.10+ds-4) unstable; urgency=medium

  * d/(tests/)control: Limit the architectures to known working ones.

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 24 Mar 2023 09:43:28 +0100

opm-models (2022.10+ds-3) unstable; urgency=medium

  * Release to unstable (no-change)

 -- Markus Blatt <markus@dr-blatt.de>  Wed, 08 Mar 2023 23:45:45 +0100

opm-models (2022.10+ds-2) experimental; urgency=medium

  * d/control: Bumped standards version to 4.6.2

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 09 Jan 2023 15:55:47 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 # Build-Depends-Indep: # broken on precise pbuilder
  doxygen, texlive-latex-extra, texlive-latex-recommended, ghostscript,
  zlib1g-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: http://opm-project.org
 Vcs-Browser: https://salsa.debian.org/science-team/opm-models
 Vcs-Git: https://salsa.debian.org/science-team/opm-models.git
@@ -20,7 +20,7 @@
 
 Package: libopm-models-dev
 Section: libdevel
-Architecture: any
+Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64
 Multi-Arch: same
 Depends: ${misc:Depends},
  libdune-grid-dev, libdune-istl-dev,

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,10 @@
 %:
 	dh $@
 
-include /usr/share/opm/opm-debian.mk
+OPM_DEBIAN_MK ?= /usr/share/opm/opm-debian.mk
+ifneq ("$(wildcard $(OPM_DEBIAN_MK))","")
+   include $(OPM_DEBIAN_MK)
+endif
 
 # Deactivate running the tests (they are expensve!)
 override_dh_auto_test:

=== debian/tests/control ===
--- 
+++ 
@@ -6,3 +6,4 @@
   libboost-test-dev
 # skip test on architectures where there is no installable package (e.g. 32bit)
 Restrictions: allow-stderr, skip-not-installable
+Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64

=== debian/watch ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #opts="pgpsigurlmangle=s%$%.sig%"
 
 # GitHub hosted projects
-opts="filenamemangle=s%(?:.*?)?release/(\d\d\d\d\.\d\d)/final\.tar\.gz%opm-models-$1.tar.gz%" \
+opts="filenamemangle=s%(?:.*?)?release/(\d\d\d\d\.\d\d)/final\.tar\.gz%opm-models-$1.tar.gz%,oversionmangle=s/(.*)/$1+ds/,dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//" \
    https://github.com/OPM/opm-models/tags \
    (?:.*?)?release/(\d\d\d\d\.\d\d)/final\.tar\.gz debian uupdate

## opm-models 2023.04%2Bds

=== CMakeLists.txt ===
--- 
+++ 
@@ -225,6 +225,20 @@
   opm_add_test(${tapp})
 endforeach()
 
+if(QuadMath_FOUND)
+  foreach(tapp co2injection_flash_ni_ecfv
+               co2injection_flash_ni_vcfv
+               co2injection_flash_ecfv
+               co2injection_flash_vcfv)
+    opm_add_test(${tapp}_quad
+                 ONLY_COMPILE
+                 EXE_NAME ${tapp}_quad
+                 SOURCES
+                 tests/${tapp}.cc)
+    target_link_libraries(${tapp}_quad QuadMath::QuadMath)
+  endforeach()
+endif()
+
 opm_add_test(reservoir_blackoil_vcfv TEST_ARGS --end-time=8750000)
 opm_add_test(reservoir_blackoil_ecfv TEST_ARGS --end-time=8750000)
 opm_add_test(reservoir_ncp_vcfv TEST_ARGS --end-time=8750000)

=== debian/changelog ===
opm-models (2023.04+ds-3) unstable; urgency=medium

  * d/control: Added missing (Build-)Depends on mips64el
  * d/tests/control: Fixed version and architecture list.

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 21 Aug 2023 15:57:40 +0200

opm-models (2023.04+ds-2) unstable; urgency=medium

  * d/control: Do not depend on libopm-grid-dev on mipsel64el

 -- Markus Blatt <markus@dr-blatt.de>  Wed, 16 Aug 2023 08:54:52 +0200

opm-models (2023.04+ds-1) unstable; urgency=medium

  * New upstream release 2023.04

 -- Markus Blatt <markus@dr-blatt.de>  Sat, 15 Jul 2023 13:36:07 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,10 @@
 Build-Depends: debhelper-compat (= 12), cmake,
  libtool, mpi-default-bin, mpi-default-dev, pkg-config,
  libdune-grid-dev, libdune-istl-dev,
- libdune-localfunctions-dev, libopm-material-dev (>= 2022.10),
- libopm-grid-dev (>= 2022.10) [!armel !armhf !mips64el],
+ libdune-localfunctions-dev,
+ libopm-grid-dev (>= 2023.04) [!mips64el],
+ libopm-common-dev (>= 2023.04),
+ libdune-grid-dev,
  libboost-test-dev,
 # Build-Depends-Indep: # broken on precise pbuilder
  doxygen, texlive-latex-extra, texlive-latex-recommended, ghostscript,
@@ -24,8 +26,10 @@
 Multi-Arch: same
 Depends: ${misc:Depends},
  libdune-grid-dev, libdune-istl-dev,
- libdune-localfunctions-dev, libopm-material-dev (>= 2022.10),
- libopm-grid-dev (>= 2022.10)  [!armel !armhf !mips64el]
+ libdune-localfunctions-dev,
+ libopm-grid-dev (>= 2023.04) [!mips64el],
+ libopm-common-dev (>= 2023.04),
+ libdune-grid-dev
 Suggests: libopm-models-doc
 Replaces: libopm-models1-dev
 Description: C++ simulation framework for porous media flow -- development files

=== debian/tests/control ===
Tests: basic
Depends:
  libopm-models-dev (>= 2023.04),
  build-essential,
  mpi-default-bin, mpi-default-dev,
  libboost-test-dev
# skip test on architectures where there is no installable package (e.g. 32bit)
Restrictions: allow-stderr, skip-not-installable
Architecture: amd64 arm64 mips64el ppc64el riscv64

## opm-models 2023.04+ds

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,6 @@
  libdune-grid-dev, libdune-istl-dev,
  libdune-localfunctions-dev,
  libopm-grid-dev (>= 2023.04) [!mips64el],
- libopm-common-dev (>= 2023.04),
- libdune-grid-dev,
  libboost-test-dev,
 # Build-Depends-Indep: # broken on precise pbuilder
  doxygen, texlive-latex-extra, texlive-latex-recommended, ghostscript,
@@ -27,9 +25,7 @@
 Depends: ${misc:Depends},
  libdune-grid-dev, libdune-istl-dev,
  libdune-localfunctions-dev,
- libopm-grid-dev (>= 2023.04) [!mips64el],
- libopm-common-dev (>= 2023.04),
- libdune-grid-dev
+ libopm-grid-dev (>= 2023.04)
 Suggests: libopm-models-doc
 Replaces: libopm-models1-dev
 Description: C++ simulation framework for porous media flow -- development files

## opm-models 2024.04+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -14,10 +14,10 @@
 #                                                                         #
 ###########################################################################
 
+cmake_minimum_required (VERSION 3.10)
+
 # Mandatory call to project
 project(opm-models C CXX)
-
-cmake_minimum_required (VERSION 3.10)
 
 # add the current projects cmake module directory to the search
 # path. This is not required anymore once support for federated builds
@@ -69,6 +69,9 @@
 include(CMakeLists_files.cmake)
 
 macro (config_hook)
+  if(NOT fmt_FOUND)
+    include(DownloadFmt)
+  endif()
   opm_need_version_of("dune-common")
   opm_need_version_of("dune-geometry")
   opm_need_version_of("dune-grid")
@@ -206,6 +209,7 @@
              co2injection_immiscible_ni_ecfv
              co2injection_ncp_ni_ecfv
              co2injection_pvs_ni_ecfv
+             co2_ptflash_ecfv
              powerinjection_forchheimer_fd
              powerinjection_forchheimer_ad
              powerinjection_darcy_fd

=== debian/changelog ===
opm-models (2024.04+ds-1) unstable; urgency=medium

  * New upstream release 2024.04.

 -- Markus Blatt <markus@dr-blatt.de>  Wed, 08 May 2024 21:25:56 +0200

opm-models (2024.04~rc2+ds-2) unstable; urgency=medium

  * New upstream release candidate 2024.04-rc2
  * Depend on OPM >= 2024.04~

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 07 May 2024 19:43:10 +0200

opm-models (2024.04~rc2+ds-1) experimental; urgency=medium

  * New upstream release candidate 2024.04-rc2

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 06 May 2024 18:02:53 +0200

opm-models (2024.04~rc1+ds-1) experimental; urgency=medium

  * New upstream release candidate 2024.04~rc1
  * Depend on OPM >= 2024.04~

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 19 Apr 2024 19:54:17 +0200

opm-models (2023.10+ds-2) unstable; urgency=medium

  * Team upload.
  * Loong support was added in 2023.10~rc2+ds-1
    Closes: #1059849
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Replace deprecated pkg-config by pkgconf

 -- Andreas Tille <tille@debian.org>  Sun, 18 Feb 2024 18:41:12 +0100

opm-models (2023.10+ds-1) experimental; urgency=medium

  * Bump version to 2023.10 (final)
  * d/copyright: Updated copyright
  * d/control: Depend on final OPM release

 -- Markus Blatt <markus@dr-blatt.de>  Sun, 12 Nov 2023 16:23:59 +0100

opm-models (2023.10~rc2+ds-1) experimental; urgency=medium

  [ Dandan Zhang ]
  * Add support for LoongArch

  [ Markus Blatt ]
  * New upstream release candidate 2023.10-rc2

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 30 Oct 2023 20:24:38 +0100

opm-models (2023.10~rc1+ds-1) experimental; urgency=medium

  * d/control: Depend on OPM 2023.10
  * d: do not try to install removed pkg-config files.
  * New upstream release candidate 2023.10-rc1
  * d/watch: Also allow downloading release candidates

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 17 Oct 2023 21:14:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,31 +1,43 @@
 Source: opm-models
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Arne Morten Kvarving <arne.morten.kvarving@sintef.no>,
+           Markus Blatt <markus@dr-blatt.de>
 Section: libs
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Arne Morten Kvarving <arne.morten.kvarving@sintef.no>, Markus Blatt <markus@dr-blatt.de>
-Build-Depends: debhelper-compat (= 12), cmake,
- libtool, mpi-default-bin, mpi-default-dev, pkg-config,
- libdune-grid-dev, libdune-istl-dev,
- libdune-localfunctions-dev,
- libopm-grid-dev (>= 2023.04) [!mips64el],
- libboost-test-dev,
+Build-Depends: debhelper-compat (= 13),
+               cmake,
+               libtool,
+               mpi-default-bin,
+               mpi-default-dev,
+               pkgconf,
+               libdune-grid-dev,
+               libdune-istl-dev,
+               libdune-localfunctions-dev,
+               libopm-grid-dev (>= 2024.04~) [!mips64el],
+               libopm-common-dev (>= 2024.04~),
+               libboost-test-dev,
 # Build-Depends-Indep: # broken on precise pbuilder
- doxygen, texlive-latex-extra, texlive-latex-recommended, ghostscript,
- zlib1g-dev
+               doxygen,
+               texlive-latex-extra,
+               texlive-latex-recommended,
+               ghostscript,
+               zlib1g-dev
 Standards-Version: 4.6.2
-Homepage: http://opm-project.org
 Vcs-Browser: https://salsa.debian.org/science-team/opm-models
 Vcs-Git: https://salsa.debian.org/science-team/opm-models.git
+Homepage: https://opm-project.org
 Rules-Requires-Root: no
 
 Package: libopm-models-dev
+Architecture: amd64 arm64 armel ia64 loong64 m68k mips64el mipsel ppc64el riscv64
+Multi-Arch: same
 Section: libdevel
-Architecture: amd64 arm64 armel ia64 m68k mips64el mipsel ppc64el riscv64
-Multi-Arch: same
 Depends: ${misc:Depends},
- libdune-grid-dev, libdune-istl-dev,
- libdune-localfunctions-dev,
- libopm-grid-dev (>= 2023.04)
+         libdune-grid-dev,
+         libdune-istl-dev,
+         libdune-localfunctions-dev,
+         libopm-grid-dev (>= 2024.04~) [!mips64el],
+         libopm-common-dev (>= 2024.04~)
 Suggests: libopm-models-doc
 Replaces: libopm-models1-dev
 Description: C++ simulation framework for porous media flow -- development files
@@ -48,9 +60,9 @@
 Package: libopm-models-doc
 Architecture: all
 Multi-Arch: foreign
-Replaces: libopm-models1-doc
 Section: doc
 Depends: ${misc:Depends}
+Replaces: libopm-models1-doc
 Description: C++ simulation framework for porous media flow -- documentation
  The Open Porous Media (OPM) software suite provides libraries and
  tools for modeling and simulation of porous media processes, especially

=== debian/tests/control ===
--- 
+++ 
@@ -6,4 +6,4 @@
   libboost-test-dev
 # skip test on architectures where there is no installable package (e.g. 32bit)
 Restrictions: allow-stderr, skip-not-installable
-Architecture: amd64 arm64 mips64el ppc64el riscv64
+Architecture: amd64 arm64 loong64 mips64el ppc64el riscv64

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

# PGP signature mangle, so foo.tar.gz has foo.tar.gz.sig
#opts="pgpsigurlmangle=s%$%.sig%"

# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?release/(\d\d\d\d.\d\d)/(.*)\.tar\.gz%@PACKAGE@-$1-$2.tar.gz%,oversionmangle=s/(.*)/$1+ds/,uversionmangle=s/.final//;s/.rc/~rc/,dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//" \
   https://github.com/OPM/@PACKAGE@/tags \
   (?:.*?)?release/(\d\d\d\d\.\d\d)/(final|rc.*)\.tar\.gz debian uupdate

# Direct Git
# opts="mode=git" http://git.example.com/opm-models.git \
#   refs/tags/v([\d\.]+) debian uupdate
